当前位置:首页 > 开发 > 开源软件 > 正文

启动eclipse时,提示Failed to create Java Virtual Machine.错误

发表于: 2015-07-07   作者:aaron1112   来源:转载   浏览:
摘要: 问题描述 启动eclipse时,提示Failed to create Java Virtual Machine.错误,   解决办法 在eclipse安装目录下的eclipse.ini配置文件,打开如下: -startup plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar --launcher

问题描述

启动eclipse时,提示Failed to create Java Virtual Machine.错误,

 

解决办法

eclipse安装目录下的eclipse.ini配置文件,打开如下:

-startup
plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.300.v20150602-1417
-product
org.eclipse.epp.package.jee.product
--launcher.defaultAction
openFile
--launcher.XXMaxPermSize
256M
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
--launcher.appendVmargs
-vmargs
-Dosgi.requiredJavaVersion=1.7
-Xms256m
-Xmx512m

 

    把上面的256M改成128M,512M改成128M,改后如下:

-startup
plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.300.v20150602-1417
-product
org.eclipse.epp.package.jee.product
--launcher.defaultAction
openFile
--launcher.XXMaxPermSize
128M
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
128m
--launcher.defaultAction
openFile
--launcher.appendVmargs
-vmargs
-Dosgi.requiredJavaVersion=1.7
-Xms40m
-Xmx256m

 

    重新启动,正常启动。

启动eclipse时,提示Failed to create Java Virtual Machine.错误

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
最近媳妇在学习android的开发,我给她把环境搭好以后。在网上下载了一个最新的eclpse,在启动的时候
今天在使用jee的eclipse的时候打开提示 解决办法在网上搜寻了一下,有两种方式 1、关闭360相关的软
今天在使用jee的eclipse的时候打开提示 解决办法在网上搜寻了一下,有两种方式 1、关闭360相关的软
今天在使用jee的eclipse的时候打开提示 解决办法在网上搜寻了一下,有两种方式 1、关闭360相关的软
今天在使用jee的eclipse的时候打开提示 解决办法在网上搜寻了一下,有两种方式 1、关闭360相关的软
启动 Eclipse 的时候出现如下错误: 打开eclipse目录下的eclipse.ini文件,修改–launcher.XXMaxPer
今天eclipse启动报错,如下: 对于这种情况,原因是计算机的内存不足。可以通过修改eclipse的配置文
电脑:2G内存,WIN7 32位。 启动adt-bundle-windows-x86-20140702\eclipse\eclipse.exe时,报错【Fa
以前用的eclipse-jee因为在部署项目过程中总是出现bug被我删除。今天去eclipse官网又下了一个Eclips
今天尝试在window8上安装Eclipse,用来搞Andriod开发就去Android Developers下载adt-bundle-windows-
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号